Bug 656641 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nrpe (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
http://lists.fedoraproject.org/piperm...
:
Depends On:
Blocks: 827166
  Show dependency treegraph
 
Reported: 2010-11-23 18:36 EST by Lennart Poettering
Modified: 2012-05-31 15:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: nrpe-2.12-18.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-04 17:16:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Let systemd create /var/run/nrpe (2.54 KB, application/octet-stream)
2011-09-17 12:46 EDT, Ruben Kerkhof
no flags Details

  None (edit)
Description Lennart Poettering 2010-11-23 18:36:21 EST
Your package nrpe appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 Ruben Kerkhof 2011-09-17 12:46:31 EDT
Created attachment 523718 [details]
Let systemd create /var/run/nrpe
Comment 2 Ruben Kerkhof 2011-09-17 12:47:18 EDT
Hey Peter, would you mind applying the attached patch?
Comment 3 Fedora Update System 2011-09-22 11:08:17 EDT
nrpe-2.12-18.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nrpe-2.12-18.fc16
Comment 4 Fedora Update System 2011-09-22 11:08:28 EDT
nrpe-2.12-18.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nrpe-2.12-18.fc15
Comment 5 Fedora Update System 2011-09-24 16:48:10 EDT
Package nrpe-2.12-18.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nrpe-2.12-18.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/nrpe-2.12-18.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-10-04 17:16:08 EDT
nrpe-2.12-18.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-10-04 23:55:18 EDT
nrpe-2.12-18.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.